package be.ac.ulb.code.wit.service;

import javax.xml.bind.annotation.XmlElement;

public class NoSuchContactException extends Exception {
	private static final long serialVersionUID = -4306873135045531717L;
	//Ensures that this message is serialized;
	@XmlElement(required=true)
	private final String message;
	
	public String getMessage() {
		return message;
	}
	
	public NoSuchContactException(String message) {
		super(message);
		this.message = super.getMessage();
	}
	
	public NoSuchContactException(Throwable cause, String message) {
		super(message,cause);
		this.message = super.getMessage();
	}

}
