package be.ac.ulb.code.wit;

import org.apache.cxf.frontend.ServerFactoryBean;

import be.ac.ulb.code.wit.service.Random;
import be.ac.ulb.code.wit.service.RandomImpl;

public class ServiceServer {
    public static String address = "http://localhost:8080/facts";
    
	public ServiceServer() {
        ServerFactoryBean factory = new ServerFactoryBean();
        
	    factory.setAddress(address);
	    factory.setServiceClass(Random.class);
	    factory.setServiceBean(new RandomImpl());
        
        factory.create();
    }

    public static void main(String args[]) throws Exception {
        System.out.println("Starting Server");
        new ServiceServer();
        System.out.println(String.format("Server available at %s",address));
		System.in.read();
    }
}
